$(function() {
	//底部调整
	var isChrome = navigator.userAgent.toLowerCase().match(/chrome/) != null; 
	if (!isChrome) {
		$(".tpl-page-container .tpl-content-wrapper").addClass("R-wra");
		$(".tpl-page-container .tpl-left-nav").addClass("L-tpl");
	}
	////检测表单
	var reg = /^\d+(\.\d+)?$/;
	$('.ngsh-Hjs-tijiao').on('click', function() {
		if ($.trim($('#title').val()) == '') {
			confirm('请输入配送方式名称');
			return false;
		}
		$('#ngsh-Ojs-sublime').submit();
		return true;
	})
	//删除弹窗提示
	$('.ngro-Jclick-shanchubi').on("click", function() {
		return confirm('确定要删除该配送方式吗？'); 
	})
	//必填提示 类名当作实参传进方法中
	//当输入框输入为空,失去焦点时,提示图标为交叉,
	//当输入框输入不为空,失去焦点时,提示图标为勾
	//配送方式名称必填标记
	ng_titian('ngco_Ojs_bitian');
	//设置必填标记的方法
	function ng_titian(leiming) {
		var BiTianParent = $('.' + leiming).parent().parent('.am-form-group');
		var BiTianNext = $('.' + leiming).next('i');
		$(BiTianParent).addClass('am-form-error');
		$('.' + leiming).addClass('am-back-input');
		$('.' + leiming).blur(function() {
			if ($.trim($(this).val()) == '') {
				$(BiTianParent).removeClass('am-form-success');
				$(BiTianParent).addClass('am-form-error')
				$(BiTianNext).removeClass('am-icon-check');
				$(BiTianNext).addClass('am-icon-times');
				$('.' + leiming).removeClass('am-back-input');
			} else {
				$(BiTianParent).removeClass('am-form-error');
				$(BiTianParent).addClass('am-form-success')
				$(BiTianNext).removeClass('am-icon-times');
				$(BiTianNext).addClass('am-icon-check');
				$('.' + leiming).removeClass('am-back-input');
			}
		})
	}
	//页面中的input按钮事件
	$('.tpl-switch').find('.tpl-switch-btn-view').on('click', function() {
		$(this).prev('.tpl-switch-btn').prop("checked", function() {
			if ($(this).is(':checked')) {
				return false;
			} else {
				return true;
			}
		})
	})
})